<?php

namespace Drupal\site_settings_domain\Hook;

use Drupal\Core\Hook\Attribute\Hook;

class ViewsData {

  /**
   * @return array
   */
  #[Hook('views_data')]
  public function info(): array {
    $data['views']['site_setting_item_domain'] = [
      'title' => t('Site Setting item (domain context)'),
      'help' => t('Renders a site setting item by bundle and domain context.'),
      'area' => [
        'id' => 'site_setting_item_domain',
      ],
    ];

    return $data;
  }

}
